Browse code

bordel

Onimaro authored on 26/05/2018 16:46:04
Showing 6 changed files
... ...
@@ -1,3 +1,4 @@
1
+<<<<<<< HEAD
1 2
 GAME_STEAMID=376030
2 3
 GAME_PATH=~/jeux/server_${GAME_NAME}
3 4
 LOG_PATH=~/logs/${GAME_NAME}
... ...
@@ -8,3 +9,15 @@ GAME_PORT=7779
8 8
 #QUERY_PORT is the port used by steam to connect players to your server
9 9
 QUERY_PORT=27015
10 10
 GAME_PARAMS="TheIsland?listen?Port=${GAME_PORT}?QueryPort=${QUERY_PORT}?SessionName=${SERVER_NAME}?PerPlatformMaxStructuresMultiplier=100?AllowPlatformeSaddleMultiFloors=true -server -log -noBattlEye"
11
+=======
12
+export GAME_STEAMID=376030
13
+export GAME_PATH=~/jeux/server_${GAME_NAME}
14
+export LOG_PATH=~/logs/${GAME_NAME}
15
+export GAME_BIN=${GAME_PATH}/ShooterGame/Binaries/Linux/ShooterGameServer
16
+export SERVER_NAME=PATATE_Onimaro
17
+export #GAME_PORT will be the specified port and the following (here 7779 and 7780)
18
+export GAME_PORT=7779
19
+export #QUERY_PORT is the port used by steam to connect players to your server
20
+export QUERY_PORT=27015
21
+export GAME_PARAMS="TheIsland?listen?Port=${GAME_PORT}?QueryPort=${QUERY_PORT}?SessionName=${SERVER_NAME}?PerPlatformMaxStructuresMultiplier=100?AllowPlatformeSaddleMultiFloors=true -server -log"
22
+>>>>>>> 4f0f0b6cb15091e3cb2eeba5038af48f1798b31b
... ...
@@ -1,5 +1,5 @@
1
-GAME_NAME=DST
2
-GAME_STEAMID=343050
3
-GAME_PATH=/jeux/server_dst/
4
-LOG_PATH=~/logs/${GAME_NAME}/
5
-STEAMCMD=/home/steamcmd/steamcmd.sh
1
+export GAME_NAME='DST'
2
+export GAME_STEAMID=343050
3
+export GAME_PATH="~/jeux/server_dst/"
4
+export LOG_PATH="~/logs/${GAME_NAME}/"
5
+export STEAMCMD="~/steamcmd/steamcmd.sh"
... ...
@@ -2,14 +2,14 @@
2 2
 source $(dirname $0)/game_globals
3 3
 #[ ! -r "$(dirname $0)/game.params.ori" ] && echo "Fichier de parameteres manquant : $(dirname $0)/game.params.ori" && exit 2
4 4
 if [ ! -r "$(dirname $0)/../../params/${GAME_NAME}.params" ]; then
5
-       echo "Mise en place du fichier de parametres dans $( cd $(dirname $0)/../../ && pwd)/params/)"
6
-       mkdir -p $(dirname $0)/../../params || echo "Echec de creation ou de verification du repertoire $(dirname $0)/../../params" && exit 3
7
-       cp $(dirname $0)/game.params.ori $(dirname $0)/../../params/${GAME_NAME}.params || echo "Echec de generation du fichier de parametres standard $(dirname $0)/../../params/${GAME_NAME}.params" && exit 4
5
+       echo "Mise en place du fichier de parametres dans $(dirname $0)/../../params/"
6
+       mkdir -p $(dirname $0)/../../params || (echo "Echec de creation ou de verification du repertoire $(dirname $0)/../../params" && exit 3)
7
+       cp $(dirname $0)/game.params.ori $(dirname $0)/../../params/${GAME_NAME}.params || (echo "Echec de generation du fichier de parametres standard $(dirname $0)/../../params/${GAME_NAME}.params" && exit 4)
8 8
        echo "Veuillez configurer le jeu si besoin via le fichier $( ls $(dirname $0)/../../params/${GAME_NAME}.params) puis relancer le script de MAJ"
9 9
        exit 0
10 10
 fi
11
-source $(dirname $0)/../../params/${GAME_NAME}.params || echo "Impossible de charger les parametres du jeu via $(dirname $0)/../../params/${GAME_NAME}.params" && exit 5
12
-[ ! -d "${GAME_PATH}" ] && echo "creation du repertoire de jeu ${GAME_PATH}"
11
+source $(dirname $0)/../../params/${GAME_NAME}.params || (echo "Impossible de charger les parametres du jeu via $(dirname $0)/../../params/${GAME_NAME}.params" && exit 5)
12
+[ ! -d "${GAME_PATH}" ] && echo "creation du repertoire de jeu ${GAME_PATH}" && mkdir -p ${GAME_PATH}
13 13
 [ -z ${GAME_STEAMID} ] && "Missing App SteamID" && exit 7
14 14
 echo "Mise a jour du jeu ..."
15 15
 echo "${STEAMCMD} +login anonymous +force_install_dir ${GAME_PATH} +app_update ${GAME_STEAMID} +quit"
... ...
@@ -1,9 +1,13 @@
1 1
 #!/bin/bash
2
-
3 2
 serveur=$1
4 3
 reset=$2
5
-[ ${serveur} == "-h" ] && echo "Liste des serveurs :" && echo "$(ls ~steamcmd/.klei/DoNotStarveTogether/)" && exit 0
4
+
5
+source $(dirname $0)/game_globals
6
+[ ! -r "$(dirname $0)/../../params/${GAME_NAME}.params" ] && echo "Fichier de parameteres manquant : $(dirname $0)/../../params/${GAME_NAME}.params" && exit 2
7
+source $(dirname $0)/../../params/${GAME_NAME}.params
8
+
6 9
 [ -z ${serveur} ] && echo "XXX Parametre manquant : nom du serveur XXX" && exit 1
10
+[ ${serveur} == "-h" ] && echo "Liste des serveurs :" && echo "$(ls ~steamcmd/.klei/DoNotStarveTogether/)" && exit 0
7 11
 [ ${serveur} == "-reset" ] && echo "XXX Parametre manquant : nom du serveur XXX" && exit 2
8 12
 [ ! -z ${reset} ] && [ ${reset} != "-reset" ] && echo "Le deuxieme parametre doit etre -reset ou rien" && exit 3
9 13
 echo
... ...
@@ -18,6 +22,8 @@ echo "  Serveur ${serveur}"
18 18
 echo
19 19
 [ ! -z ${reset} ] && [ ${reset} == "-reset" ] && echo "Remise a zero du serveur." && rm -rf ~steamcmd/.klei/DoNotStarveTogether/${serveur}Cluster/Master/save/session/* && rm -rf ~steamcmd/.klei/DoNotStarveTogether/${serveur}Cluster/Caves/save/session/*
20 20
 echo
21
+echo "GAME_PATH : ${GAME_PATH}"
22
+echo
21 23
 cd ${GAME_PATH}/bin
22 24
 echo
23 25
 echo "  --- Don't Starve Together, exterieur "
... ...
@@ -1,5 +1,4 @@
1
-GAME_PATH="~/jeux/server_${GAME_NAME}"
2
-LOG_PATH="~/logs/${GAME_NAME}"
3
-GAME_BIN="${GAME_PATH}/bin/dontstarve_dedicated_server_nullrenderer"
4
-GAME_PARAMS="-console -cluster ${serveur}Cluster -shard ${shard}"
5
-GAME_STEAMID=343050
1
+export GAME_PATH=~/jeux/server_${GAME_NAME}
2
+export LOG_PATH=~/logs/${GAME_NAME}
3
+export GAME_BIN=${GAME_PATH}/bin/dontstarve_dedicated_server_nullrenderer
4
+export GAME_PARAMS=-console -cluster ${serveur}Cluster -shard ${shard}
... ...
@@ -1,2 +1,3 @@
1
-GAME_NAME='DST'
2
-STEAMCMD=~/steamcmd/steamcmd.sh
1
+export GAME_NAME='DST'
2
+export STEAMCMD=~/steamcmd/steamcmd.sh
3
+export GAME_STEAMID='343050'